%define upstream_name    Monitoring-Plugin
%define upstream_version 0.39

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Class for handling Monitoring::Plugin
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Monitoring/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Config::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(IO::File)
BuildRequires: perl(Math::Calc::Units)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
Monitoring::Plugin and its associated Monitoring::Plugin::* modules are a
family of perl modules to streamline writing Monitoring plugins. The main
end user modules are Monitoring::Plugin, providing an object-oriented
interface to the entire Monitoring::Plugin::* collection, and
Monitoring::Plugin::Functions, providing a simpler functional interface to
a useful subset of the available functionality.

The purpose of the collection is to make it as simple as possible for
developers to create plugins that conform the Monitoring Plugin guidelines
(https://www.monitoring-plugins.org/doc/guidelines.html).

EXPORTS
    Nagios status code constants are exported by default:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.390.0-8.mga10
+ Revision: 2204049
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.390.0-7.mga9
+ Revision: 1809755
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.390.0-6.mga8
+ Revision: 1505290
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.390.0-5.mga7
+ Revision: 1284977
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.390.0-4.mga7
+ Revision: 1165574
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.390.0-3.mga7
+ Revision: 1160243
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.390.0-2.mga6
+ Revision: 1030314
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.390.0-1.mga6
+ Revision: 1002190
- imported package perl-Monitoring-Plugin


* Fri Apr 15 2016 cpan2dist 0.39-1mga
- initial mageia release, generated with cpan2dist
